> ## Documentation Index
> Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Funds

> Retrieves the user's Illusory Wallet balance.



## OpenAPI

````yaml GET /v1/funds
openapi: 3.0.1
info:
  title: Illusory API Reference
  description: Interact with Illusory proxies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cmd.illusory.io
security: []
paths:
  /v1/funds:
    get:
      description: Retrieves the user's Illusory Wallet balance.
      responses:
        '200':
          description: Server response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/funds-get'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error--user-not-found'
      security:
        - bearerAuth: []
components:
  schemas:
    funds-get:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates whether the request was successful e.g., `true`
        message:
          type: string
          description: Success message
          example: Retrieved funds successfully.
        data:
          type: object
          description: An object containing the user's funds
          properties:
            funds:
              type: integer
              description: Amount of funds available
            upcoming:
              type: object
              description: An object containing the user's upcoming charges.
              properties:
                renewing:
                  type: object
                  description: >-
                    An object containing the user's upcoming renewing charges
                    within the next 24 hours.
                  properties:
                    count:
                      type: integer
                      description: Number of proxies renewing
                    amount:
                      type: integer
                      description: Amount of funds due for renewing proxies
                expiring:
                  type: object
                  description: >-
                    An object containing the user's upcoming expiring charges
                    within the next 24 hours.
                  properties:
                    count:
                      type: integer
                      description: Number of proxies expiring
                    amount:
                      type: integer
                      description: Amount of funds due for expiring proxies
                total:
                  type: object
                  description: An object containing the user's total upcoming charges
                  properties:
                    renewal_required:
                      type: integer
                      description: Amount of funds short to renew proxies
                    total_required:
                      type: integer
                      description: >-
                        Amount of funds short to renew and extend expiring
                        proxies
                    total_commitment:
                      type: integer
                      description: >-
                        Total cost of all proxies in the account, based on
                        current periods for each proxy
      example:
        ok: true
        message: Retrieved funds successfully.
        data:
          funds: 40
          upcoming:
            renewing:
              count: 1
              amount: 5
            expiring:
              count: 1
              amount: 5
            total:
              renewal_required: 0
              total_required: 0
              total_commitment: 10
    error--user-not-found:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            user_id:
              type: string
              description: Unique identifier of the user
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          user_id: user_1234567890
        message: User not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey
      description: >-
        The `Authorization` header is used to authenticate with the API using
        your `Master` API key. Value is of the format `Bearer YOUR_KEY_HERE`.

````